# -*-coding:utf-8 -*- #

import logging
import os


def write_log():
    logger = logging.getLogger("ls")
    log_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "report/log/日志汇总.log")

    handler = logging.FileHandler(log_path, 'a', encoding="utf-8")
    fmt = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s - %(name)s')

    handler.setFormatter(fmt)
    logger.addHandler(handler)

    return logger
