# -*-coding:utf-8 -*- #

import json
import os

from BPMInterfaceAutoTest.common import log


def read_json(filename):
    if os.path.isfile(filename) and filename.endswith(".json"):
        try:
            with open(filename, 'r', encoding="utf-8") as fp:
                return json.load(fp)
        except:
            log.error("json文件内容错误，请接查json文件格式")
            raise ValueError("json文件内容错误，请接查json文件格式")
    else:
        log.error("json文件路径不合法，请接查json文件路径")
        raise ValueError("json文件路径不合法，请接查json文件路径")


if __name__ == '__main__':
    print(read_json(
        r"/BPMInterfaceAutoTest/data_config/case_data.json"))
